Subject: Re: bug#56870: company-dabbrev variable documentation

From: [email-masked]
Date: Thu, 4 Aug 2022 23:59:25 +0200 (CEST)

Aug 4, 2022, 17:09 by [email-masked]:

> [email-masked] writes:
>
>> Aug 3, 2022, 18:41 by [email-masked]:
>>
>>> I think the maintainers are quite receptive to improvements like
>>> this.
>>>
>>
>> I completely disagree.  The experience with maintainers has shown how
>> unreceptive they often get towards improvements like this.  Lars
>> thought there isn't anything to fix in Emacs and decided to close this
>> bug report.
>>
>
> I think reasonable people can disagree about what is and is not a
> problem, is or is not an improvement, or even misunderstand eachother
> entirely.  Sometimes patience and additional explanations are the way to
> move forward.
>
> In this case, I agree with Lars that the company-dabbrev docstring is
> consistent with Emacs' usual way of writing docstrings.  I don't
> actually see a clear way to improve the one docstring in isolation
> without it becoming inconsistent with the rest of Emacs.  And so, I
> would expect any improvement here to involve some discussion, since the
> path forward isn't obvious.
>
Sure.  But I found too much eagerness to close the discussion.  Many are putting too much focus
on consistency, when the aim should really be on equipping users with what is actually required  
for them to write code that works.  Rather than rely on assumptions that old timers consider of minor
importance.  Because in the end it is code that works which counts.  The less one tortures people, the better.